RNASNOOP(1)

NAME
RNAsnoop - manual page for RNAsnoop 2.7.0

SYNOPSIS
RNAsnoop [options]

DESCRIPTION
RNAsnoop 2.7.0

Find targets of a query H/ACA snoRNA

reads a target RNA sequence and a H/ACA snoRNA sequence from a target and query file, respectively and computes optimal and suboptimal secondary structures for their hybridization. The calculation can be done roughly in O(nm), where is n the length of the target sequence and m is the length of the snoRNA stem, as it is specially tailored to the special case of H/ACA snoRNA. For general purpose target predictions, please have a look at RNAduplex, RNAup, RNAcofold and RNAplex. Accessibility effects can be estimated by RNAsnoop if a RNAplfold accessibility profile is provided.

The computed optimal and suboptimal structure are written to stdout, one structure per line. Each line consist of: The structure in dot bracket format with a '&' separating the two strands. The '<>' brackets represent snoRNA intramolecular interactions, while the '()' brackets represent intermolecular interactions between the snoRNA and its target.

The range of the structure in the two sequences in the format "from,to : from,to"; the energy of duplex structure in kcal/mol. If available the opening energy are also returned.

--help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

--verbose
    Be verbose. (default=off)

    Lower the log level setting such that even INFO messages are passed through.

  I/O Options:

    Command line options for input and output (pre-)processing

-s, --query=STRING
    File containing the query sequence.

    Input sequences can be given piped to RNAsnoop or given in a query file with the -s option. Note that the -s option implies that the -t option is also used.

-t, --target=STRING
    File containing the target sequence.

    Input sequences can be given piped to RNAsnoop or given in a target file with the -t optionNote that the -t option implies that the -s option is also used.

-S, --suffix=STRING
    Specificy the suffix that was added by RNAup to the accessibility files.

    (default=`_u1_to_30.out')

-P, --from-RNAplfold=STRING
    Specify the directory where accessibility profile generated by RNAplfold are found.

-U, --from-RNAup=STRING
    Specify the directory where accessibility profiles generated by RNAup are found.

-O, --output_directory=STRING Set where the generated figures should be
    stored.

    (default=`./')

--log-level=level
    Set log level threshold. (default=`2')

    By default, any log messages are filtered such that only warnings (level 2) or errors (level 3) are printed. This setting allows for specifying the log level threshold, where higher values result in fewer information. Log-level 5 turns off all messages, even errors and other critical information.

--log-file[=filename]
    Print log messages to a file instead of stderr. (default=`RNAsnoop.log')

--log-time
    Include time stamp in log messages.

    (default=off)

--log-call
    Include file and line of log calling function.

    (default=off)

  Algorithms:

    Options which alter the computing behaviour of RNAplex. Please note that the options allowing to filter out snoRNA-RNA duplexes expect the energy to be given in decacal/mol instead of kcal/mol. A threshold of -2.8(kcal/mol) should be given as -280(decacal/mol).

-A, --alignment-mode
    Specify if RNAsnoop gets alignments or single sequences as input.

    (default=off)

-f, --fast-folding=INT
    Speedup of the target search. (default=`1')

    This option allows one to decide if the backtracking has to be done (-f 1) or not (-f 0). For -f 1 the structure is computed based on the standard energy model. This is the slowest mode of RNAsnoop. -f 0 is the fastest mode, as no structure are recomputed and only the interaction energy is returned.

-c, --extension-cost=INT
    Cost to add to each nucleotide in a duplex. (default=`0')

    Cost of extending a duplex by one nucleotide. Allows one to find compact duplexes, having few/small bulges or internal loops. Only useful when no accessibility profiles are available. This option is disabled if accessibility profiles are used (-P option).

-e, --energy-threshold=DOUBLE Maximal energy difference between the mfe and
    the desired suboptimal.

    (default=`-1')

    Energy range for a duplex to be returned. The threshold is set on the total energy of interaction, i.e. the hybridizationenergy corrected for opening energy if -a is set or the energy corrected by -c. If unset, only the mfe will be returned.

-o, --minimal-right-duplex=INT
    Minimal Right Duplex Energy

    (default=`-270')

-l, --minimal-loop-energy=INT Minimal Right Duplex Energy.
    (default=`-280')

    Minimal Stem Loop Energy of the snoRNA. The energy should be given in decacalories, i.e. a minimal stem-loop energy of -2.8 kcal/mol corresponds to -280 decacal/mol.

-p, --minimal-left-duplex=INT Minimal Left Duplex Energy.

    (default=`-170')

-q, --minimal-duplex=INT
    Minimal Duplex Energy.

    (default=`-1090')

-d, --duplex-distance=INT
    Distance between target 3' ends of two consecutive duplexes.

    (default=`2')

    Distance between the target 3'ends of two consecutive duplexes. Should be set to the maximal length of interaction to get good results. Smaller d leads to larger overlaps between consecutive duplexes.

-h, --minimal-stem-length=INT Minimal snoRNA stem length.

    (default=`5')

-i, --maximal-stem-length=INT Maximal snoRNA stem length.

    (default=`120')

-j, --minimal-duplex-box-length=INT
    Minimal distance between the duplex end and the

    H/ACA box.

    (default=`11')

-k, --maximal-duplex-box-length=INT
    Maximal distance between the duplex end and the

    H/ACA box.

    (default=`16')

-m, --minimal-snoRNA-stem-loop-length=INT
    Minimal number of nucleotides between the

beginning of stem loop and
    beginning of the snoRNA sequence.

    (default=`1')

-n, --maximal-snoRNA-stem-loop-length=INT
    Maximal number of nucleotides between the

beginning of stem loop and
    beginning of the snoRNA sequence.

    (default=`100000')

-v, --minimal-snoRNA-duplex-length=INT
    Minimal distance between duplex start and

    snoRNA.

    (default=`0')

-w, --maximal-snoRNA-duplex-length=INT
    Maximal distance between duplex start and

    snoRNA.

    (default=`0')

-x, --minimal-duplex-stem-energy=INT
    Minimal duplex stem energy.

    (default=`-1370')

-y, --minimal-total-energy=INT
    Minimal total energy.

    (default=`100000')

-a, --maximal-stem-asymmetry=INT
    Maximal snoRNA stem asymmetry.

    (default=`30')

-b, --minimal-lower-stem-energy=INT
    Minimal lower stem energy.

    (default=`100000')

-L, --alignmentLength=INT
    Limit the extent of the interactions to L nucleotides.

    (default=`25')

  Structure Constraints:

    Command line options to interact with the structure constraints feature of this program

-C, --constraint
    Calculate the stem structure subject to constraints.

    (default=off)

    The program reads first the stem sequence, then a string containing constraints on the structure encoded with the symbols:

    . (no constraint for this base)

    | (the corresponding base has to be paired

    x (the base is unpaired)

    < (base i is paired with a base j>i)

    > (base i is paired with a base j<i)

    and matching brackets ( ) (base i pairs base j)

    With the exception of "|", constraints will disallow all pairs conflicting with the constraint. This is usually sufficient to enforce the constraint, but occasionally a base may stay unpaired in spite of constraints. PF folding ignores constraints of type "|".

  Plotting:

    Command line options for changing the default behavior of structure layout and pairing probability plots.

-I, --produce-ps
    Draw annotated 2D structures for a list of dot-bracket structures.

    (default=off)

    This option allows one to produce interaction figures in PS-format with conservation/accessibility annotation, if available.

-N, --direct-redraw
    Outputs 2D interactions concurrently with the interaction calculation for each suboptimal interaction. The -I option should be preferred.

    (default=off)

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 R. Lorenz, I.L. Hofacker, P.F. Stadler (2016), "RNA folding with hard and soft constraints", Algorithms for Molecular Biology 11:1 pp 1-13 The calculation of duplex structure is based on dynamic programming algorithm originally developed by Rehmsmeier and in parallel by Hofacker. H. Tafer, S. Kehr, J. Hertel, I.L. Hofacker, P.F. Stadler (2009), "RNAsnoop: efficient target prediction for H/ACA snoRNAs.", Bioinformatics: 26(5), pp 610-616 The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

AUTHOR
Hakim Tafer, Ivo L. Hofacker

REPORTING BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.